View Issue Details

IDProjectCategoryView StatusLast Update
0002045FreeCADFeaturepublic2017-10-01 19:19
ReporterfhteagleAssigned Towmayer 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0002045: Make Euler Rotation default or user-pref default
DescriptionWhen trying to rotate anything via parameters, the default rotation input is not the Euler method. However, I think most users can operate the Euler method far more efficiently and effectively. I would like to see either:

1. Make Euler the default parameter entry mode, or
2. Create a preference toggle to make Euler the default parameter entry mode.

Thanks
Tagsrotate

Relationships

related to 0002007 closedwmayer Base::Rotation::get/setYawPitchRoll uses wrong euler convention 

Issue History

Date Modified Username Field Change
2015-04-10 02:47 fhteagle New Issue
2015-04-10 06:10 shoogen Relationship added related to 0002007
2017-01-24 00:11 Kunda1 Tag Attached: rotate
2017-09-15 10:47 wmayer Target Version => 0.17
2017-10-01 19:19 wmayer Assigned To => wmayer
2017-10-01 19:19 wmayer Status new => closed
2017-10-01 19:19 wmayer Resolution open => fixed
2017-10-01 19:19 wmayer Fixed in Version => 0.17
2017-10-01 19:19 wmayer Note Added: 0010228